Bug 223160 - Automatic detection of sound card (Creative Labs SB Audigy 2) did not work
Automatic detection of sound card (Creative Labs SB Audigy 2) did not work
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: sndconfig (Show other bugs)
5
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Martin Stransky
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-01-17 21:08 EST by Michael J Novotny
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-04-10 08:46:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Michael J Novotny 2007-01-17 21:08:07 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8.0.1) Gecko/20060313 Fedora/1.5.0.1-9 Firefox/1.5.0.1 pango-text

Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:
Always


Steps to Reproduce:
1. Open Soundcard Detection
2. And push the play button
3. Tries to play the 3 channels (L, R, M).  Works fine on motherboard's built-in sound (Intel ICH [Intel ICH5])

Actual Results:
m------- System Config Soundcard --------
Wed Jan 17 19:45:38 CST 2007

------- lspci --------
00:00.0 Host bridge: Intel Corporation 82865G/PE/P DRAM Controller/Host-Hub Interface (rev 02)
00:01.0 PCI bridge: Intel Corporation 82865G/PE/P PCI to AGP Controller (rev 02)
00:03.0 PCI bridge: Intel Corporation 82865G/PE/P PCI to CSA Bridge (rev 02)
00:1d.0 USB Controller: Intel Corporation 82801EB/ER (ICH5/ICH5R) USB UHCI Controller #1 (rev 02)
00:1d.1 USB Controller: Intel Corporation 82801EB/ER (ICH5/ICH5R) USB UHCI Controller #2 (rev 02)
00:1d.2 USB Controller: Intel Corporation 82801EB/ER (ICH5/ICH5R) USB UHCI Controller #3 (rev 02)
00:1d.3 USB Controller: Intel Corporation 82801EB/ER (ICH5/ICH5R) USB UHCI Controller #4 (rev 02)
00:1d.7 USB Controller: Intel Corporation 82801EB/ER (ICH5/ICH5R) USB2 EHCI Controller (rev 02)
00:1e.0 PCI bridge: Intel Corporation 82801 PCI Bridge (rev c2)
00:1f.0 ISA bridge: Intel Corporation 82801EB/ER (ICH5/ICH5R) LPC Interface Bridge (rev 02)
00:1f.1 IDE interface: Intel Corporation 82801EB/ER (ICH5/ICH5R) IDE Controller (rev 02)
00:1f.2 IDE interface: Intel Corporation 82801EB (ICH5) SATA Controller (rev 02)
00:1f.3 SMBus: Intel Corporation 82801EB/ER (ICH5/ICH5R) SMBus Controller (rev 02)
00:1f.5 Multimedia audio controller: Intel Corporation 82801EB/ER (ICH5/ICH5R) AC'97 Audio Controller (rev 02)
01:00.0 VGA compatible controller: nVidia Corporation NV25 [GeForce4 Ti 4400] (rev a2)
02:01.0 Ethernet controller: Intel Corporation 82547EI Gigabit Ethernet Controller (LOM)
03:01.0 Multimedia audio controller: Creative Labs SB Audigy (rev 04)
03:01.1 Input device controller: Creative Labs SB Audigy MIDI/Game port (rev 04)
03:01.2 FireWire (IEEE 1394): Creative Labs SB Audigy FireWire Port (rev 04)
03:02.0 Multimedia video controller: Internext Compression Inc iTVC16 (CX23416) MPEG-2 Encoder (rev 01)

------- lsmod --------
Module                  Size  Used by
ivtv                  168080  0 
ipv6                  267361  24 
hidp                   24385  2 
rfcomm                 46297  0 
l2cap                  31937  10 hidp,rfcomm
bluetooth              59045  5 hidp,rfcomm,l2cap
sunrpc                158589  1 
iptable_filter          7361  0 
ip_tables              17925  1 iptable_filter
x_tables               18757  1 ip_tables
video                  21317  0 
sbs                    20353  0 
i2c_ec                  9537  1 sbs
button                 11217  0 
battery                14533  0 
asus_acpi              20825  0 
ac                      9669  0 
lp                     17161  0 
parport_pc             31461  1 
parport                41097  2 lp,parport_pc
cx8800                 35468  0 
cx88xx                 66596  1 cx8800
bttv                  172852  0 
video_buf              26628  3 cx8800,cx88xx,bttv
ir_common              33156  2 cx88xx,bttv
compat_ioctl32          5376  2 cx8800,bttv
btcx_risc               8584  3 cx8800,cx88xx,bttv
lirc_i2c               12292  0 
lirc_dev               17044  1 lirc_i2c
raw1394                31813  0 
wm8775                  8972  0 
joydev                 13825  0 
cx25840                26512  0 
tuner                  60980  0 
snd_emu10k1_synth      11264  0 
snd_emux_synth         38016  1 snd_emu10k1_synth
snd_seq_virmidi        11008  1 snd_emux_synth
snd_intel8x0           33948  0 
snd_seq_dummy           7428  0 
snd_seq_midi_emul       9984  1 snd_emux_synth
sg                     38621  0 
snd_seq_oss            36736  0 
snd_seq_midi_event     11136  2 snd_seq_virmidi,snd_seq_oss
i2c_algo_bit           13001  3 ivtv,cx88xx,bttv
cx2341x                14852  1 ivtv
tveeprom               17168  3 ivtv,cx88xx,bttv
videodev               27392  4 ivtv,cx8800,cx88xx,bttv
snd_seq                54128  8 snd_emux_synth,snd_seq_virmidi,snd_seq_dummy,snd_seq_midi_emul,snd_seq_oss,snd_seq_midi_event
serio_raw              11461  0 
snd_emu10k1           118304  1 snd_emu10k1_synth
v4l1_compat            15748  3 ivtv,cx8800,videodev
ohci1394               39301  0 
snd_pcm_oss            44416  0 
ehci_hcd               36173  0 
v4l2_common            25856  7 ivtv,cx8800,bttv,cx25840,tuner,cx2341x,videodev
ieee1394              301337  2 raw1394,ohci1394
emu10k1_gp              8257  0 
gameport               20169  2 emu10k1_gp
snd_rawmidi            25728  2 snd_seq_virmidi,snd_emu10k1
snd_ac97_codec         98212  2 snd_intel8x0,snd_emu10k1
snd_ac97_bus            6272  1 snd_ac97_codec
snd_seq_device         11788  7 snd_emu10k1_synth,snd_emux_synth,snd_seq_dummy,snd_seq_oss,snd_seq,snd_emu10k1,snd_rawmidi
snd_util_mem            8448  2 snd_emux_synth,snd_emu10k1
uhci_hcd               28109  0 
nvidia               4716276  22 
ide_cd                 42593  2 
snd_hwdep              12292  2 snd_emux_synth,snd_emu10k1
i2c_i801               11981  0 
cdrom                  38881  1 ide_cd
snd_mixer_oss          19840  1 snd_pcm_oss
e1000                 124369  0 
i2c_core               25793  12 ivtv,i2c_ec,cx88xx,bttv,lirc_i2c,wm8775,cx25840,tuner,i2c_algo_bit,tveeprom,nvidia,i2c_i801
snd_pcm                77956  4 snd_intel8x0,snd_emu10k1,snd_pcm_oss,snd_ac97_codec
snd_timer              23684  3 snd_seq,snd_emu10k1,snd_pcm
snd                    53380  15 snd_emux_synth,snd_seq_virmidi,snd_intel8x0,snd_seq_dummy,snd_seq_oss,snd_seq,snd_emu10k1,snd_pcm_oss,snd_rawmidi,snd_ac97_codec,snd_seq_device,snd_hwdep,snd_mixer_oss,snd_pcm,snd_timer
pcspkr                  7489  0 
soundcore              14241  1 snd
snd_page_alloc         12168  3 snd_intel8x0,snd_emu10k1,snd_pcm
dm_snapshot            21357  0 
dm_zero                 6337  0 
dm_mirror              32913  0 
dm_mod                 61273  17 dm_snapshot,dm_zero,dm_mirror
ext3                  135497  3 
jbd                    63209  1 ext3
ata_piix               18121  3 
libata                103001  1 ata_piix
sd_mod                 24897  9 
scsi_mod              138601  3 sg,libata,sd_mod

------- /etc/modprobe.conf --------
alias eth0 e1000
alias char-major-61 lirc_i2c
alias scsi_hostadapter ata_piix
alias snd-card-0 snd-emu10k1
options snd-card-0 index=0  
options snd-emu10k1 index=0  
remove snd-emu10k1 { /usr/sbin/alsactl store 0 >/dev/null 2>&1 || : ; }; /sbin/modprobe -r --ignore-remove snd-emu10k1
alias snd-card-1 snd-intel8x0
options snd-card-1 index=1  
options snd-intel8x0 index=1  
remove snd-intel8x0 { /usr/sbin/alsactl store 1 >/dev/null 2>&1 || : ; }; /sbin/modprobe -r --ignore-remove snd-intel8x0
# nvidia kernel module
alias char-major-195 nvidia-1_0-9631
alias nvidia nvidia-1_0-9631
#FIREWIRE
alias ieee1394-controller ohci1394
install ohci1394 /sbin/modprobe --ignore-install ohci1394; /sbin/modprobe raw1394
#IVTV
alias char-major-81-0 ivtv
#LIRC
install lirc_i2c /sbin/modprobe ivtv; /sbin/modprobe --ignore-install lirc_i2c

------- /etc/asound.conf --------
#Generated by system-config-soundcard, do not edit by hand
#SWCONF
#DEV 0
defaults.pcm.card 1 
defaults.pcm.device 0 
defaults.ctl.card 1 

------- aplay -l --------
**** List of PLAYBACK Hardware Devices ****
card 0: Audigy2 [Audigy 2 Platinum [SB0240P]], device 0: emu10k1 [ADC Capture/Standard PCM Playback]
  Subdevices: 32/32
  Subdevice #0: subdevice #0
  Subdevice #1: subdevice #1
  Subdevice #2: subdevice #2
  Subdevice #3: subdevice #3
  Subdevice #4: subdevice #4
  Subdevice #5: subdevice #5
  Subdevice #6: subdevice #6
  Subdevice #7: subdevice #7
  Subdevice #8: subdevice #8
  Subdevice #9: subdevice #9
  Subdevice #10: subdevice #10
  Subdevice #11: subdevice #11
  Subdevice #12: subdevice #12
  Subdevice #13: subdevice #13
  Subdevice #14: subdevice #14
  Subdevice #15: subdevice #15
  Subdevice #16: subdevice #16
  Subdevice #17: subdevice #17
  Subdevice #18: subdevice #18
  Subdevice #19: subdevice #19
  Subdevice #20: subdevice #20
  Subdevice #21: subdevice #21
  Subdevice #22: subdevice #22
  Subdevice #23: subdevice #23
  Subdevice #24: subdevice #24
  Subdevice #25: subdevice #25
  Subdevice #26: subdevice #26
  Subdevice #27: subdevice #27
  Subdevice #28: subdevice #28
  Subdevice #29: subdevice #29
  Subdevice #30: subdevice #30
  Subdevice #31: subdevice #31
card 0: Audigy2 [Audigy 2 Platinum [SB0240P]], device 2: emu10k1 efx [Multichannel Capture/PT Playback]
  Subdevices: 8/8
  Subdevice #0: subdevice #0
  Subdevice #1: subdevice #1
  Subdevice #2: subdevice #2
  Subdevice #3: subdevice #3
  Subdevice #4: subdevice #4
  Subdevice #5: subdevice #5
  Subdevice #6: subdevice #6
  Subdevice #7: subdevice #7
card 0: Audigy2 [Audigy 2 Platinum [SB0240P]], device 3: emu10k1 [Multichannel Playback]
  Subdevices: 1/1
  Subdevice #0: subdevice #0
card 0: Audigy2 [Audigy 2 Platinum [SB0240P]], device 4: p16v [p16v]
  Subdevices: 1/1
  Subdevice #0: subdevice #0
card 1: ICH5 [Intel ICH5], device 0: Intel ICH [Intel ICH5]
  Subdevices: 1/1
  Subdevice #0: subdevice #0
card 1: ICH5 [Intel ICH5], device 4: Intel ICH - IEC958 [Intel ICH5 - IEC958]
  Subdevices: 1/1
  Subdevice #0: subdevice #0System Config Soundca

------- amixer --------
Simple mixer control 'Master',0
  Capabilities: pvolume pswitch
  Playback channels: Front Left - Front Right
  Limits: Playback 0 - 31
  Mono:
  Front Left: Playback 28 [90%] [on]
  Front Right: Playback 28 [90%] [on]
Simple mixer control 'Master Mono',0
  Capabilities: pvolume pvolume-joined pswitch pswitch-joined
  Playback channels: Mono
  Limits: Playback 0 - 31
  Mono: Playback 28 [90%] [on]
Simple mixer control 'Master Surround',0
  Capabilities: pvolume pswitch
  Playback channels: Front Left - Front Right
  Limits: Playback 0 - 31
  Mono:
  Front Left: Playback 0 [0%] [off]
  Front Right: Playback 0 [0%] [off]
Simple mixer control 'Headphone Jack Sense',0
  Capabilities: pswitch pswitch-joined
  Playback channels: Mono
  Mono: Playback [off]
Simple mixer control 'PCM',0
  Capabilities: pvolume pswitch
  Playback channels: Front Left - Front Right
  Limits: Playback 0 - 31
  Mono:
  Front Left: Playback 29 [94%] [on]
  Front Right: Playback 29 [94%] [on]
Simple mixer control 'Surround',0
  Capabilities: pvolume pswitch
  Playback channels: Front Left - Front Right
  Limits: Playback 0 - 31
  Mono:
  Front Left: Playback 0 [0%] [off]
  Front Right: Playback 0 [0%] [off]
Simple mixer control 'Surround Jack Mode',0
  Capabilities: enum
  Items: 'Shared' 'Independent'
  Item0: 'Shared'
Simple mixer control 'Center',0
  Capabilities: pvolume pvolume-joined pswitch pswitch-joined
  Playback channels: Mono
  Limits: Playback 0 - 31
  Mono: Playback 31 [100%] [off]
Simple mixer control 'LFE',0
  Capabilities: pvolume pvolume-joined pswitch pswitch-joined
  Playback channels: Mono
  Limits: Playback 0 - 31
  Mono: Playback 0 [0%] [off]
Simple mixer control 'Line',0
  Capabilities: pvolume pswitch cswitch cswitch-exclusive
  Capture exclusive group: 0
  Playback channels: Front Left - Front Right
  Capture channels: Front Left - Front Right
  Limits: Playback 0 - 31
  Front Left: Playback 0 [0%] [off] Capture [off]
  Front Right: Playback 0 [0%] [off] Capture [off]
Simple mixer control 'Line Jack Sense',0
  Capabilities: pswitch pswitch-joined
  Playback channels: Mono
  Mono: Playback [off]
Simple mixer control 'CD',0
  Capabilities: pvolume pswitch cswitch cswitch-exclusive
  Capture exclusive group: 0
  Playback channels: Front Left - Front Right
  Capture channels: Front Left - Front Right
  Limits: Playback 0 - 31
  Front Left: Playback 27 [87%] [on] Capture [on]
  Front Right: Playback 27 [87%] [on] Capture [on]
Simple mixer control 'Mic',0
  Capabilities: pvolume pvolume-joined pswitch pswitch-joined cswitch cswitch-exclusive
  Capture exclusive group: 0
  Playback channels: Mono
  Capture channels: Front Left - Front Right
  Limits: Playback 0 - 31
  Mono: Playback 0 [0%] [off]
  Front Left: Capture [off]
  Front Right: Capture [off]
Simple mixer control 'Mic Boost (+20dB)',0
  Capabilities: pswitch pswitch-joined
  Playback channels: Mono
  Mono: Playback [off]
Simple mixer control 'Mic Select',0
  Capabilities: enum
  Items: 'Mic1' 'Mic2'
  Item0: 'Mic1'
Simple mixer control 'Video',0
  Capabilities: cswitch cswitch-exclusive
  Capture exclusive group: 0
  Capture channels: Front Left - Front Right
  Front Left: Capture [off]
  Front Right: Capture [off]
Simple mixer control 'Phone',0
  Capabilities: pvolume pvolume-joined pswitch pswitch-joined cswitch cswitch-exclusive
  Capture exclusive group: 0
  Playback channels: Mono
  Capture channels: Front Left - Front Right
  Limits: Playback 0 - 31
  Mono: Playback 0 [0%] [off]
  Front Left: Capture [off]
  Front Right: Capture [off]
Simple mixer control 'IEC958',0
  Capabilities: pswitch pswitch-joined
  Playback channels: Mono
  Mono: Playback [off]
Simple mixer control 'IEC958 Playback AC97-SPSA',0
  Capabilities: volume volume-joined
  Playback channels: Mono
  Capture channels: Mono
  Limits: 0 - 3
  Mono: 3 [100%]
Simple mixer control 'IEC958 Playback Source',0
  Capabilities: enum
  Items: 'AC-Link' 'A/D Converter'
  Item0: 'AC-Link'
Simple mixer control 'PC Speaker',0
  Capabilities: pvolume pvolume-joined pswitch pswitch-joined
  Playback channels: Mono
  Limits: Playback 0 - 15
  Mono: Playback 0 [0%] [off]
Simple mixer control 'Aux',0
  Capabilities: pvolume pswitch cswitch cswitch-exclusive
  Capture exclusive group: 0
  Playback channels: Front Left - Front Right
  Capture channels: Front Left - Front Right
  Limits: Playback 0 - 31
  Front Left: Playback 0 [0%] [off] Capture [off]
  Front Right: Playback 0 [0%] [off] Capture [off]
Simple mixer control 'Mono Output Select',0
  Capabilities: enum
  Items: 'Mix' 'Mic'
  Item0: 'Mix'
Simple mixer control 'Capture',0
  Capabilities: cvolume cswitch
  Capture channels: Front Left - Front Right
  Limits: Capture 0 - 15
  Front Left: Capture 0 [0%] [on]
  Front Right: Capture 0 [0%] [on]
Simple mixer control 'Mix',0
  Capabilities: cswitch cswitch-exclusive
  Capture exclusive group: 0
  Capture channels: Front Left - Front Right
  Front Left: Capture [off]
  Front Right: Capture [off]
Simple mixer control 'Mix Mono',0
  Capabilities: cswitch cswitch-exclusive
  Capture exclusive group: 0
  Capture channels: Front Left - Front Right
  Front Left: Capture [off]
  Front Right: Capture [off]
Simple mixer control 'Channel Mode',0
  Capabilities: enum
  Items: '2ch' '4ch' '6ch'
  Item0: '2ch'
Simple mixer control 'Downmix',0
  Capabilities: enum
  Items: 'Off' '6 -> 4' '6 -> 2'
  Item0: 'Off'
Simple mixer control 'Exchange Center/LFE',0
  Capabilities: pswitch pswitch-joined
  Playback channels: Mono
  Mono: Playback [off]
Simple mixer control 'Exchange Front/Surround',0
  Capabilities: pswitch pswitch-joined
  Playback channels: Mono
  Mono: Playback [off]
Simple mixer control 'External Amplifier',0
  Capabilities: pswitch pswitch-joined
  Playback channels: Mono
  Mono: Playback [on]
Simple mixer control 'High Pass Filter Enable',0
  Capabilities: pswitch pswitch-joined
  Playback channels: Mono
  Mono: Playback [on]
Simple mixer control 'Spread Front to Surround and Center/LFE',0
  Capabilities: pswitch pswitch-joined
  Playback channels: Mono
  Mono: Playback [off]
Simple mixer control 'Stereo Mic',0
  Capabilities: pswitch pswitch-joined
  Playback channels: Mono
  Mono: Playback [off]
Simple mixer control 'V_REFOUT Enable',0
  Capabilities: pswitch pswitch-joined
  Playback channels: Mono
  Mono: Playback [on]

------- /proc/asound/version --------
Advanced Linux Sound Architecture Driver Version 1.0.13.
Compiled on Dec 19 2006 for kernel 2.6.18-1.2257.fc5smp (SMP).

------- rpm -q alsa-lib --------
alsa-lib-1.0.13-32.fc5.at

------- rpm -q alsa-utils --------
alsa-utils-1.0.11-4.rc2

------- /proc/asound/modules --------
 0 snd_emu10k1
 1 snd_intel8x0

------- /proc/asound/pcm --------
00-04: p16v : p16v : playback 1 : capture 1
00-03: emu10k1 : Multichannel Playback : playback 1
00-02: emu10k1 efx : Multichannel Capture/PT Playback : playback 8 : capture 1
00-01: emu10k1 mic : Mic Capture : capture 1
00-00: emu10k1 : ADC Capture/Standard PCM Playback : playback 32 : capture 1
01-04: Intel ICH - IEC958 : Intel ICH5 - IEC958 : playback 1
01-03: Intel ICH - ADC2 : Intel ICH5 - ADC2 : capture 1
01-02: Intel ICH - MIC2 ADC : Intel ICH5 - MIC2 ADC : capture 1
01-01: Intel ICH - MIC ADC : Intel ICH5 - MIC ADC : capture 1
01-00: Intel ICH : Intel ICH5 : playback 1 : capture 1

------- system-config-soundcard --------

/usr/share/system-config-soundcard/soundcard.py:251: DeprecationWarning: use gtk.ComboBox
  self.primaryDeviceOptionMenu = gtk.OptionMenu()
/usr/share/system-config-soundcard/soundcard.py:273: DeprecationWarning: use gtk.ComboBox
  self.primarySubDeviceOptionMenu = gtk.OptionMenu()
/usr/share/system-config-soundcard/soundcard.py:308: GtkDeprecationWarning: gtk.timeout_add is deprecated, use gobject.timeout_add instead
  self.timer = gtk.timeout_add (100, self.checkStatus, self)
/usr/share/system-config-soundcard/soundcard.py:548: GtkDeprecationWarning: gtk.TRUE is deprecated, use True instead
  gtk.main()
Playing WAVE '/usr/share/system-config-soundcard/sound-sample.wav' : Signed 16 bit Little Endian, Rate 44100 Hz, Stereo


Expected Results:
There should be sound but nothing.

Additional info:
Comment 1 Martin Stransky 2007-01-23 08:24:20 EST
Please check my how-to - http://people.redhat.com/stransky/alsa/

Note You need to log in before you can comment on or make changes to this bug.